Get RPC Shareholders (beta)
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/rpc-shareholders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/rpc-shareholders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/rpc-shareholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "FOO BAR, S.A. DE C.V.",
"rfc": "PEIC211118IS0",
"shares": 12345,
"percentage": 100
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Company
RPC Shareholders Insight
deprecated
Deprecated: Use Get Shareholders instead.
Shareholder information is obtained from the Registro Público de Comercio (RPC) and, when available for the entity, from Company Verification reports.
When at least one shareholder for the entity has been ingested from a Company Verification report, the response returns only the Company Verification-sourced shareholders, and ownership percentages reflect the values recorded on the verification report. Otherwise, the response falls back to RPC-sourced shareholders, with percentages computed from share counts.
Please be aware of the following limitations:
- Not all companies are included in the RPC data source.
- While some companies are listed in RPC, their shareholder information may not be available.
- RPC data only includes initial shareholders and does not reflect changes in the shareholder structure, such as new or removed shareholders. Use Company Verification reports to get an up-to-date cap table.
GET
/
entities
/
{entityId}
/
insights
/
rpc-shareholders
Get RPC Shareholders (beta)
This endpoint is deprecated. Use Shareholders Insight instead.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
RPC Shareholders
Show child attributes
Show child attributes
Was this page helpful?